[API Reference](../README.md) > [ArcTransactionAgreementResult](../classes/ArcTransactionAgreementResult.md)



# Class: ArcTransactionAgreementResult

## Hierarchy


 [ArcTransactionResult](ArcTransactionResult.md)

**↳ ArcTransactionAgreementResult**







## Index

### Constructors

* [constructor](ArcTransactionAgreementResult.md#constructor)


### Properties

* [tx](ArcTransactionAgreementResult.md#tx)


### Methods

* [getAgreementIdFromMinedTx](ArcTransactionAgreementResult.md#getAgreementIdFromMinedTx)
* [getTxConfirmed](ArcTransactionAgreementResult.md#getTxConfirmed)
* [getTxMined](ArcTransactionAgreementResult.md#getTxMined)
* [getValueFromMinedTx](ArcTransactionAgreementResult.md#getValueFromMinedTx)
* [watchForTxConfirmed](ArcTransactionAgreementResult.md#watchForTxConfirmed)
* [watchForTxMined](ArcTransactionAgreementResult.md#watchForTxMined)



---
## Constructors
<a id="constructor"></a>


### ⊕ **new ArcTransactionAgreementResult**(tx: *[Hash](../#Hash)*, contract: *`any`*): [ArcTransactionAgreementResult](ArcTransactionAgreementResult.md)


*Overrides [ArcTransactionResult](ArcTransactionResult.md).[constructor](ArcTransactionResult.md#constructor)*

*Defined in [wrappers/vestingScheme.ts:426](https://github.com/daostack/arc.js/blob/9063ecdf/lib/wrappers/vestingScheme.ts#L426)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| tx | [Hash](../#Hash)   |  - |
| contract | `any`   |  - |





**Returns:** [ArcTransactionAgreementResult](ArcTransactionAgreementResult.md)

---


## Properties
<a id="tx"></a>

###  tx

**●  tx**:  *[Hash](../#Hash)* 

*Inherited from [ArcTransactionResult](ArcTransactionResult.md).[tx](ArcTransactionResult.md#tx)*

*Defined in [iContractWrapperBase.ts:37](https://github.com/daostack/arc.js/blob/9063ecdf/lib/iContractWrapperBase.ts#L37)*



The transaction hash




___


## Methods
<a id="getAgreementIdFromMinedTx"></a>

###  getAgreementIdFromMinedTx

► **getAgreementIdFromMinedTx**(): `Promise`.<`number`>



*Defined in [wrappers/vestingScheme.ts:437](https://github.com/daostack/arc.js/blob/9063ecdf/lib/wrappers/vestingScheme.ts#L437)*



Returns promise of the agreement id from the logs of the mined transaction. Will watch for the mined tx, so could take a while to return.




**Returns:** `Promise`.<`number`>





___

<a id="getTxConfirmed"></a>

###  getTxConfirmed

► **getTxConfirmed**(requiredDepth?: *`number`*): `Promise`.<[TransactionReceiptTruffle](../interfaces/TransactionReceiptTruffle.md)⎮`null`>



*Inherited from [ArcTransactionResult](ArcTransactionResult.md).[getTxConfirmed](ArcTransactionResult.md#getTxConfirmed)*

*Defined in [iContractWrapperBase.ts:68](https://github.com/daostack/arc.js/blob/9063ecdf/lib/iContractWrapperBase.ts#L68)*



Returns a promise of the transaction if it is confirmed, converted to a TransactionReceiptTruffle (with readable logs).

Returns null if the transaction is not yet found at the required depth.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| requiredDepth | `number`   |  Optional minimum block depth required to resolve the promise.Default comes from the `ConfigurationService`. |





**Returns:** `Promise`.<[TransactionReceiptTruffle](../interfaces/TransactionReceiptTruffle.md)⎮`null`>





___

<a id="getTxMined"></a>

###  getTxMined

► **getTxMined**(): `Promise`.<[TransactionReceiptTruffle](../interfaces/TransactionReceiptTruffle.md)⎮`null`>



*Inherited from [ArcTransactionResult](ArcTransactionResult.md).[getTxMined](ArcTransactionResult.md#getTxMined)*

*Defined in [iContractWrapperBase.ts:50](https://github.com/daostack/arc.js/blob/9063ecdf/lib/iContractWrapperBase.ts#L50)*



Returns a promise of the transaction if it is mined, converted to a TransactionReceiptTruffle (with readable logs).

Returns null if the transaciton is not yet mined.




**Returns:** `Promise`.<[TransactionReceiptTruffle](../interfaces/TransactionReceiptTruffle.md)⎮`null`>





___

<a id="getValueFromMinedTx"></a>

###  getValueFromMinedTx

► **getValueFromMinedTx**(valueName: *`string`*, eventName?: *`string`*, index?: *`number`*): `Promise`.<`any`⎮`undefined`>



*Inherited from [ArcTransactionResult](ArcTransactionResult.md).[getValueFromMinedTx](ArcTransactionResult.md#getValueFromMinedTx)*

*Defined in [iContractWrapperBase.ts:116](https://github.com/daostack/arc.js/blob/9063ecdf/lib/iContractWrapperBase.ts#L116)*



Returns promise of a value from the logs of the mined transaction. Will watch for the mined tx, so could take a while to return.


**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| valueName | `string`  | - |   The name of the property whose value we wish to return |
| eventName | `string`  |  null |   Name of the event in whose log we are to look for the value |
| index | `number`  | 0 |   Index of the log in which to look for the value, when eventName is not given.Default is the index of the last log in the transaction. |





**Returns:** `Promise`.<`any`⎮`undefined`>





___

<a id="watchForTxConfirmed"></a>

###  watchForTxConfirmed

► **watchForTxConfirmed**(requiredDepth?: *`number`*): `Promise`.<[TransactionReceiptTruffle](../interfaces/TransactionReceiptTruffle.md)>



*Inherited from [ArcTransactionResult](ArcTransactionResult.md).[watchForTxConfirmed](ArcTransactionResult.md#watchForTxConfirmed)*

*Defined in [iContractWrapperBase.ts:99](https://github.com/daostack/arc.js/blob/9063ecdf/lib/iContractWrapperBase.ts#L99)*



Returns a promise of a TransactionReceipt once the given transaction has been confirmed, converted to a TransactionReceiptTruffle (with readable logs), according to the optional `requiredDepth`.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| requiredDepth | `number`   |  Optional minimum block depth required to resolve the promise.Default comes from the `ConfigurationService`. |





**Returns:** `Promise`.<[TransactionReceiptTruffle](../interfaces/TransactionReceiptTruffle.md)>





___

<a id="watchForTxMined"></a>

###  watchForTxMined

► **watchForTxMined**(): `Promise`.<[TransactionReceiptTruffle](../interfaces/TransactionReceiptTruffle.md)>



*Inherited from [ArcTransactionResult](ArcTransactionResult.md).[watchForTxMined](ArcTransactionResult.md#watchForTxMined)*

*Defined in [iContractWrapperBase.ts:82](https://github.com/daostack/arc.js/blob/9063ecdf/lib/iContractWrapperBase.ts#L82)*



Returns promise of a mined transaction once it has been mined, converted to a TransactionReceiptTruffle (with readable logs).




**Returns:** `Promise`.<[TransactionReceiptTruffle](../interfaces/TransactionReceiptTruffle.md)>





___


